## index-fm 4.0.2

=== debian/changelog ===
index-fm (4.0.2-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:51:44 +0000

index-fm (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 15:54:38 +0000

index-fm (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 15:54:35 +0000

index-fm (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 15:54:51 +0000

index-fm (3.1.0) noble; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 15:54:22 +0000

index-fm (0+git20180905-1) unstable; urgency=medium

  * Initial release

 -- Jonah Brüchert <jbb@kaidan.im>  Wed, 05 Sep 2018 14:37:52 +0200
