=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/index/([\d\.]+)/index-fm-([\d.]+).tar.xz
