## index-fm 4.0.2+p24.04+vstable+git20251005.1108

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20251005.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:08:47 +0000
