=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20251012.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:18:21 +0000
