=== debian/control ===
Source: index-fm
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-syntax-highlighting-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://github.com/maui-project/index
Vcs-Git: https://invent.kde.org/neon/neon-packaging/index-fm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/index-fm
Maintainer: Neon CI <neon@kde.org>

Package: index
Architecture: any
Depends: qml6-module-org-maui-mauikit,
         qml6-module-org-mauikit-accounts,
         qml6-module-org-mauikit-archiver,
         qml6-module-org-mauikit-documents,
         qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-texteditor,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui File manager
 Index lets you browse your system files and applications and preview
 your music, text, image and video files and share them with external applications
 .
 Index is a file manager that works on desktops, Android and Plasma Mobile.
