## index-fm 4.0.2+p24.04+vstable+git20260122.0613

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260122.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:13:01 +0000
