## index-fm 4.0.2+p24.04+vstable+git20260216.0320

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260216.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:20:14 +0000
