## index-fm 4.0.2+p24.04+vstable+git20260219.0454

=== debian/changelog ===
index-fm (4.0.2+p24.04+vstable+git20260219.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:54:19 +0000
