## index-fm 4.0.2+p24.04+vunstable+git20251211.0357

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20251211.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:57:14 +0000
