## index-fm 4.0.2+p24.04+vunstable+git20260103.0300

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20260103.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:00:42 +0000
