## index-fm 4.0.2+p24.04+vunstable+git20260205.0814

=== debian/changelog ===
index-fm (4.0.2+p24.04+vunstable+git20260205.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:14:10 +0000
